{% extends "login/base.html" %}

{% load widget_tweaks %}


{% block content %}

<div class="container">

    <div class="center">
        <h1>Consolidados</h1>
    </div>
    
    {% if success %}
        <div class="alert alert-success">
		    Consolidados gerados com sucesso.
		</div>
    {% endif %}

    <form class="form-horizontal" method="POST">
        {% csrf_token %}

        {% if consolidadosForm.non_field_errors%}
            <div class="alert alert-danger">
	            {{ consolidadosForm.non_field_errors }}
            </div>
        {% endif %}

        {% for field in consolidadosForm %}

			{% if field.errors %}
                <div class="alert alert-danger">
		        	{{ field.errors }}
                </div>
			{% endif %}

        	<div class="form-group">
            	<label for="{{ field.auto_id }}" class="control-label">{{ field.label }}</label>
    	    	{% render_field field class="form-control"%}
    		</div> 

      	{% endfor %}

        <button class="btn btn-primary" type="submit">Gerar Consolidados</button>
    </form>

    <a href="{% url 'usuario' %}">
        <button class="btn btn-danger">Cancelar</button>
    </a>
</div>

{% endblock content %}

